server:
  port: 9303
  servlet:
    context-path: /schedule

#配置是否为debug模式，debug模式下，不开启权限校验
debug: false

#datasource数据源设置
spring:
  datasource:
    url: jdbc:mysql://139.159.177.244:3306/hsg_pre?allowMultiQueries=true&useUnicode=true&characterEncoding=UTF-8
    username: root
    password: HF123456.
    type: com.alibaba.druid.pool.DruidDataSource
    driver-class-name: com.mysql.jdbc.Driver
    filters: stat
    maxActive: 10
    initialSize: 5
    maxWait: 60000
    minIdle: 5
    timeBetweenEvictionRunsMillis: 60000
    minEvictableIdleTimeMillis: 300000
    validationQuery: select 'x'
    testWhileIdle: true
    testOnBorrow: false
    testOnReturn: false
    poolPreparedStatements: true
    maxOpenPreparedStatements: 20

  redis:
    database: 0
    host: 139.159.177.244
    port: 36379
    password: HF123456.Redis
    timeout: 1000
    jedis:
      pool:
        max-active: 20
        max-wait: -1
        max-idle: 10
        min-idle: 0

    #thymelea模板配置
    thymeleaf:
      prefix: classpath:/templates/
      suffix: .html
      mode: HTML5
      encoding: UTF-8
      #热部署文件，页面不产生缓存，及时更新
      cache: false
    #配置日期返回至前台为时间戳
    jackson:
      serialization:
        write-dates-as-timestamps: true


      thymeleaf:
        cache: false
        prefix: classpath:/templates/
        suffix: .html
        encoding: UTF-8
        content-type: text/html
        mode: HTML5

  mybatis:
    mapperLocations:
      - classpath*:sqlmap*/*.xml
    type-aliases-package:
      org.springboot.sample.entity

  pagehelper:
    helperDialect: mysql
    reasonable: true
    supportMethodsArguments: true
    params: count=countSql
